Description

| am looking only at the Northern Ireland data - | have merged BHPS and US and am concerned with GHQ and self-rated health
over the period 2001-latest wave of US (wave 4).

Out of interest | would like to compare GHQ scores in NI with UK and indeed other UK regions. | have read the waves 1-4 user
manual and online advice but am still confused as to which weights are most appropriate and the practical use of these.

From what | can discern | am interested in the longitudinal individual main response weight from 2001 to include BHPS, that is
n_indin01_Iw. Can anyone confirm if this is correct given my research interests?

So for wave 4 | can take this from d_indin01_Iw.

Knowing this now, can you point me to instructions on how to apply this weighting in Stata if possible. | am not able to attend any of
the training days so will have to work this out myself. | have looped all the variables waves 1-4 US so indin01_Iw will be looped for
wave b and d - | am guessing | should only apply wave d - how can | do this in stata when they are looped? | know coding
concerning pweight and svy but its just isolating the d wave | am unsure about.

Many thanks

Gretta

History

#1 - 07/07/2015 08:29 AM - Alita Nandi
- Status changed from New to In Progress

- % Done changed from 0 to 90

Hi Gretta,

| am not exactly sure from your message, but it seems that you have set up the data in long format and now would like to know how to apply wave d
weights to all the years. Is that correct? If yes, then there are different ways of doing that. One way is to create a separate dataset containing only pid
and d_indin01_Iw and then merge (one-to-many) it with your long form data using pid.

One other point, we encourage using the abbreviations UKHLS or Understanding Society and not US.

Best wishes,
On behalf of the team

#2 - 07/21/2015 10:44 AM - Redmine Admin
- Status changed from In Progress to Closed

- % Done changed from 90 to 100

#3 - 11/10/2015 10:47 AM - Gundi Knies

- Target version set to X M
